from Products.ZPatterns.DataSkins import DataSkin
from Globals import HTMLFile

class DummyDataSkin(DataSkin):
    """ 
    DataSkin class for testing ZPatterns code - doesn't actually do anything
    itself.
    """
    
    meta_type = "Dummy DataSkin"
    
    # why isn't this inherited?
    _isRackMountable = 1
    
    def this(self):
        return self
    
    def repr(self, obj):
        return repr(obj)
            
    def absolute_url(self, relative=0):
        return "%s/%s" % (self.aq_parent.absolute_url(relative), self.id)
        
    def debug(self):
        """ Print object's __dict__ """
        result = ""
        for k, v in self.__dict__.items():
            result = "%s\n%s : %s" % (result, repr(k), repr(v))
        return result

# This is bad for security. Uncomment it at your own risk!
#    
#    def setattr(self, name, value):
#        """ Dangerous! """
#        setattr(self, name, value)
        
    manage = manage_main = HTMLFile("dummy_main", globals())
    
    manage_options = (
        {'label':'Properties','action':'debug'},        
    )

        
    __ac_permissions__ = (
        ('View management screens',
            ('debug', 'manage', 'manage_main'),
            ('Manager', 'Owner'),
        ),
    )
        
manage_addDummyForm = HTMLFile("addDummyForm", globals())

def manage_addDummy(self, id, REQUEST=None, RESPONSE=None):
    """ Add Dummy DataSkin """
    o = DummyDataSkin(id)
    self._setObject(id, o)
    if RESPONSE is not None:
        RESPONSE.redirect(self.absolute_url() + '/manage_main')
        

